ConnectionObserverStatsBridge (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal
Class ConnectionObserverStatsBridge

    java.lang.Object
      org.hibernate.internal.ConnectionObserverStatsBridge

All Implemented Interfaces:
  Serializable, ConnectionObserver

    public class ConnectionObserverStatsBridge

extends Object
implements ConnectionObserver, Serializable

See Also:
  Serialized Form

Constructor Summary
`ConnectionObserverStatsBridge(SessionFactoryImplementor sessionFactory)`

Method Summary
`void` | `logicalConnectionClosed()` The logical connection was closed.
`void` | `physicalConnectionObtained(Connection connection)` A physical connection was obtained.
`void` | `physicalConnectionReleased()` A physical connection was released.
`void` | `statementPrepared()` Notification of a statement being prepared

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionObserverStatsBridge

    public ConnectionObserverStatsBridge(SessionFactoryImplementor sessionFactory)

Method Detail

### physicalConnectionObtained

    public void physicalConnectionObtained(Connection connection)

  Description copied from interface: `ConnectionObserver`
  A physical connection was obtained.

  Specified by:
    `physicalConnectionObtained` in interface `ConnectionObserver`
  Parameters:
    `connection` - The physical connection just obtained.

### physicalConnectionReleased

    public void physicalConnectionReleased()

  Description copied from interface: `ConnectionObserver`
  A physical connection was released.

  Specified by:
    `physicalConnectionReleased` in interface `ConnectionObserver`

### logicalConnectionClosed

    public void logicalConnectionClosed()

  Description copied from interface: `ConnectionObserver`
  The logical connection was closed.

  Specified by:
    `logicalConnectionClosed` in interface `ConnectionObserver`

### statementPrepared

    public void statementPrepared()

  Description copied from interface: `ConnectionObserver`
  Notification of a statement being prepared

  Specified by:
    `statementPrepared` in interface `ConnectionObserver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.